package jp.sourceforge.qrcode.example;
import jp.sourceforge.qrcode.codec.exception.DecodingFailedException;
import jp.sourceforge.qrcode.codec.util.*;
import jp.sourceforge.qrcode.codec.*;
import java.net.*;

public class QRCodeDecoderSampleCUI {
	public static void main(String[] args) {
		if (args.length == 0) {
			System.out.println(
				"Usage: QRCode image filename (or URL) required as argument.\n" +
				"       *.jpg, *.gif and *.png are avaiable.\n" +
				" Note: Do not forget enclose filename width \"\"\n" +
				"       if it contains white spaces."
			);
			return;
		}
		int[][] image = null;
		if (args[0].startsWith("http://")) {
			try {
			image = QRCodeUtility.parseImage(new URL(args[0]));
			} catch (MalformedURLException e) {
				e.printStackTrace();
			}
		}
		else {
			image = QRCodeUtility.parseImage(args[0]);
		}
		QRCodeDecoder decoder = new QRCodeDecoder();
		String decodedString = "";
		try {
		 decodedString = decoder.decode(image);
		} catch (DecodingFailedException e) {
			e.printStackTrace();
		}
		decodedString = ContentConverter.convert(decodedString);
		if (decodedString == null) decodedString = "(Decoding failed)";
		System.out.println("Decode result:");
		System.out.println(decodedString);
	}
}
